Agent Details (Token Authentication)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API retrieves detailed information about an agent in your CloudAgent account.


📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

❗️

Rate Limit:

A maximum of 10 requests per minute is allowed.

To use this API with the help of a token, follow these steps:

  1. Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
  2. Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
  3. With the token entered, pass the below header and body parameters:

Header parameters

ParameterDescription
Content-Typeapplication/json

Body Params

{
"userName": "xxxxxx",
"agentId": "xxxxxx"
}

Possible responses

Success response{
"message": [
{
"State": "NOT READY",
"Since": "00:06:54",
"Skill": "Hyderabad, offline_hyd, webChat, whatsapp",
"AgentName": "xxxxx",
"PhoneNumber": null,
"AgentId": "xxxxx",
"Mode": "Manual"
} ],
"status": "success"
}
If userName is empty"status": "error"
"message": "userName should not be empty"
If apiKey is empty"status": "error"
"message": apiKey should not be empty"
If userName or apiKey is invalid"status": "error"
"message": "userName or apiKey is Invalid"
If campaignName is invalid"status": "error",
"message": "campaignName is Invalid"
If rate limit exceeds"message": "Max limit exceeded",
"status": "error"
Body Params
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!